%define build_nox 1

Name:		qbittorrent
Version:	3.3.11
Release:	%mkrel 1
Summary:	A lightweight but featureful BitTorrent client
Group:		Networking/File transfer
License:	GPLv2+
Url:		http://qbittorrent.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qbittorrent/qbittorrent-%{version}.tar.xz
# From FC:
Patch1:		qbittorrent-3.3.11-remove_donate.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libtorrent-rasterbar) >= 0.14.4
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	systemd
Requires:	python

%description
A lightweight but feature-full BitTorrent client that aims to be very easy 
to use. It is multi-platform and provides a Qt5 graphical interface.

%package -n %{name}-nox
Summary:	A Headless Bittorrent Client
Group:		Networking/File transfer
BuildRequires:	qtsinglecoreapplication-qt5-devel

%description -n %{name}-nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to
control the clinet remotely.

%prep
%if %{build_nox}
%setup -q -a 0
%else
%setup -q
%endif
%autopatch -p1

%build
%setup_compile_flags

# build the headless part aka nox
%if %build_nox
pushd %{name}-%{version}
  %configure2_5x --enable-systemd --disable-gui --with-qtsingleapplication=system --enable-debug
  %make_build
popd
%endif

# build the GUI
%configure2_5x --with-qtsingleapplication=system --enable-debug
%make_build

%install
# install headless part
%if %build_nox
pushd %{name}-%{version}
  %make_install INSTALL_ROOT=%{buildroot}
popd
%endif

# install gui
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc AUTHORS Changelog COPYING NEWS README.md TODO
%{_bindir}/%{name}
%{_datadir}/applications/qBittorrent.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/status/%{name}-tray.png
%{_datadir}/pixmaps/qbittorrent.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/qBittorrent.appdata.xml

%if %build_nox
%files -n  %{name}-nox
%{_bindir}/%{name}-nox
%{_mandir}/man1/%{name}-nox.1*
%{_unitdir}/qbittorrent-nox.service
%endif


%changelog
* Sun Mar 05 2017 daviddavid <daviddavid> 3.3.11-1.mga6
+ Revision: 1088800
- new version: 3.3.11

* Wed Jan 04 2017 daviddavid <daviddavid> 3.3.10-1.mga6
+ Revision: 1080036
- new version: 3.3.10

* Thu Sep 15 2016 daviddavid <daviddavid> 3.3.7-1.mga6
+ Revision: 1053187
- new version: 3.3.7

* Fri Aug 12 2016 daviddavid <daviddavid> 3.3.6-1.mga6
+ Revision: 1046037
- new version: 3.3.6
- use %%configure2_5x macro

* Thu Jun 30 2016 daviddavid <daviddavid> 3.3.5-1.mga6
+ Revision: 1038219
- new version: 3.3.5
- rename and rediff remove_donate patch

* Tue Apr 12 2016 daviddavid <daviddavid> 3.3.4-1.mga6
+ Revision: 1000778
- new version: 3.3.4
- rename and rediff remove_donate patch

* Thu Jan 21 2016 daviddavid <daviddavid> 3.3.3-1.mga6
+ Revision: 926225
- new version: 3.3.3

* Wed Jan 20 2016 daviddavid <daviddavid> 3.3.2-1.mga6
+ Revision: 926059
- new version: 3.3.2

* Fri Jan 08 2016 daviddavid <daviddavid> 3.3.1-1.mga6
+ Revision: 920589
- new version: 3.3.1
- switch build to Qt5
- switch BR to qtsingleapplication-qt5-devel
- rename and rediff remove_donate patch

* Sun Dec 27 2015 tv <tv> 3.2.3-3.mga6
+ Revision: 915893
- rebuild for new boost

* Fri Sep 25 2015 tv <tv> 3.2.3-2.mga6
+ Revision: 883533
- rebuild for new boost

* Sun Sep 20 2015 matteo <matteo> 3.2.3-1.mga6
+ Revision: 881658
- enable debug
- new version 3.2.3

* Thu Aug 27 2015 cjw <cjw> 3.2.1-4.mga6
+ Revision: 870192
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 3.2.1-3.mga6
+ Revision: 860616
- rebuild for new boost-1.58.0

* Sun Jul 26 2015 tv <tv> 3.2.1-2.mga6
+ Revision: 857931
- patch 1: remove "donate" entry (from FC, rediffed)
- include systemd file for nox

* Sat Jul 25 2015 tv <tv> 3.2.1-1.mga6
+ Revision: 857235
- adjust file list
- remove qtdir option from 2nd configure call too
- drop support for mga1...
- new release
- rebuild for new libtorrent-rasterbar

  + daviddavid <daviddavid>
    - rebuild for new libtorrent-rasterbar-1.0.5

* Fri Nov 21 2014 matteo <matteo> 3.1.11-1.mga5
+ Revision: 798083
- new minor release 3.1.11

* Wed Oct 15 2014 umeabot <umeabot> 3.1.9.2-2.mga5
+ Revision: 742801
- Second Mageia 5 Mass Rebuild

* Fri Jun 27 2014 matteo <matteo> 3.1.9.2-1.mga5
+ Revision: 640458
- new version 3.1.9.2

* Sun Jun 08 2014 matteo <matteo> 3.1.9-2.mga5
+ Revision: 634819
- rebuilt against new libtorrent-rasterbar-0.16.16

* Thu Mar 06 2014 matteo <matteo> 3.1.9-1.mga5
+ Revision: 600540
- new version 3.1.9

* Sat Feb 08 2014 barjac <barjac> 3.1.0-3.mga5
+ Revision: 586845
- rebuild against boost-1.55

* Tue Oct 22 2013 umeabot <umeabot> 3.1.0-2.mga4
+ Revision: 545324
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 matteo <matteo> 3.1.0-1.mga4
+ Revision: 501111
- new version 3.1.0

* Mon Sep 23 2013 fwang <fwang> 3.0.11-1.mga4
+ Revision: 483718
- new version 3.0.11

* Sun Aug 18 2013 matteo <matteo> 3.0.10-2.mga4
+ Revision: 467447
- rebuilt against new libtorrent-rasterbar

* Sat Jul 27 2013 matteo <matteo> 3.0.10-1.mga4
+ Revision: 459019
- new version

* Wed Jul 10 2013 fwang <fwang> 3.0.9-3.mga4
+ Revision: 452497
- rebuild for new boost

* Thu Apr 11 2013 barjac <barjac> 3.0.9-2.mga3
+ Revision: 409678
- rebuild for boost-1.53

* Sat Mar 23 2013 matteo <matteo> 3.0.9-1.mga3
+ Revision: 404709
- new version

* Tue Jan 22 2013 matteo <matteo> 3.0.8-1.mga3
+ Revision: 391124
- new version

* Fri Jan 18 2013 fwang <fwang> 3.0.6-3.mga3
+ Revision: 389276
- rebuild for new libtorrent

* Thu Dec 20 2012 fwang <fwang> 3.0.6-2.mga3
+ Revision: 333091
- rebuild for new boost

* Wed Oct 17 2012 matteo <matteo> 3.0.6-1.mga3
+ Revision: 307427
- new version

* Sat Oct 06 2012 matteo <matteo> 3.0.5-1.mga3
+ Revision: 302979
- new version

* Sat Sep 15 2012 fwang <fwang> 3.0.2-1.mga3
+ Revision: 294130
- new version 3.0.2

* Sun Aug 12 2012 doktor5000 <doktor5000> 3.0.0-1.mga3
+ Revision: 280925
- new version 3.0.0 (new stable branch)

* Sun Aug 05 2012 doktor5000 <doktor5000> 2.9.10-1.mga3
+ Revision: 278803
- new version 2.9.10 (2.9.11 seems too crashy)
- removed obsolete clean section and empty defattrs

* Tue Jul 31 2012 fwang <fwang> 2.9.3-3.mga3
+ Revision: 276588
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 2.9.3-2.mga3
+ Revision: 250119
- do not set locale based dir

* Tue Jan 24 2012 fwang <fwang> 2.9.3-1.mga2
+ Revision: 200522
- new version 2.9.3

* Mon Nov 28 2011 fwang <fwang> 2.9.2-2.mga2
+ Revision: 173628
- rebuild for new boost

* Mon Oct 31 2011 fwang <fwang> 2.9.2-1.mga2
+ Revision: 160354
- new version 2.9.2
- new version 2.8.4
- rebuild for new boost

  + ahmad <ahmad>
    - Update to 2.8.3
    - Fix %%mgaversion again

* Wed Jun 22 2011 fwang <fwang> 2.8.2-3.mga2
+ Revision: 111938
- fix building
- rebuild for new boost

  + ahmad <ahmad>
    - Build with system qtsingeapplication
    - Don't explicitly require geoip, it's already required by libtorrent-rasterbar
    - Don't disable the geoip database for nox

* Sat Jun 18 2011 ahmad <ahmad> 2.8.2-1.mga2
+ Revision: 109492
- Update to 2.8.2

* Tue Jun 07 2011 ahmad <ahmad> 2.8.1-1.mga2
+ Revision: 101611
- Update to 2.8.1
- Update to 2.8.0rc2

* Mon May 02 2011 ahmad <ahmad> 2.8.0-0.beta5.1.mga1
+ Revision: 94292
- Update to 2.8.0beta5

* Mon Apr 18 2011 ahmad <ahmad> 2.8.0-0.beta4.1.mga1
+ Revision: 87567
- Update to 2.8.0beta4

* Sat Apr 16 2011 ahmad <ahmad> 2.8.0-0.beta3.1.mga1
+ Revision: 86801
- update to 2.8.0beta3
- drop libnotify-devel BR completely upstream now uses dbus

* Sun Apr 10 2011 ahmad <ahmad> 2.8.0-0.beta1.1.mga1
+ Revision: 82711
- update to 2.8.0beta1
- drop the deprecated --disable-libnotify from nox configure options

* Sat Mar 26 2011 ahmad <ahmad> 2.7.1-1.mga1
+ Revision: 77740
- update to 2.7.1

* Sun Mar 20 2011 ahmad <ahmad> 2.7.0-1.mga1
+ Revision: 74968
- update to 2.7.0

* Sun Mar 13 2011 ahmad <ahmad> 2.7.0-0.beta4.1.mga1
+ Revision: 70822
- update to 2.7.0beta4

* Sun Mar 13 2011 ahmad <ahmad> 2.7.0-0.beta3.1.mga1
+ Revision: 70731
- update to 2.7.0beta3

* Sun Feb 27 2011 ahmad <ahmad> 2.7.0-0.beta2.1.mga1
+ Revision: 61193
- update to 2.7.0beta2

* Fri Feb 25 2011 ahmad <ahmad> 2.7.0-0.beta1.1.mga1
+ Revision: 59973
- update to 2.7.0beta1
- simplify building the nox and the gui, similar trick to the one used to build
  wxgtk, and wxgtku in the wxgtk2.8 spec

* Tue Feb 08 2011 ahmad <ahmad> 2.6.6-1.mga1
+ Revision: 49208
- update to 2.6.6
- update to 2.6.5

* Mon Jan 24 2011 ahmad <ahmad> 2.6.4-1.mga1
+ Revision: 36008
- update to 2.6.4

* Sun Jan 16 2011 ahmad <ahmad> 2.6.3-1.mga1
+ Revision: 19970
- update to 2.6.3
- imported package qbittorrent

